package com.tencent.mm.plugin.facedetect.d;

import android.content.Context;
import android.view.ViewGroup;
import com.tencent.mm.plugin.facedetect.model.FaceCharacteristicsResult;

public interface b {
    void a(Context context, ViewGroup viewGroup, ViewGroup viewGroup2);

    boolean a(FaceCharacteristicsResult faceCharacteristicsResult);

    boolean b(FaceCharacteristicsResult faceCharacteristicsResult);

    boolean bsV();

    boolean bsW();

    void bsX();

    b bsY();

    a bsZ();

    void setBusinessTip(String str);
}
